Skip to main content
POST
Edit User Credit Account Config

Endpoint Overview

POST https://api.unibee.dev/merchant/credit/edit_credit_account Edit User Credit Account Config

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Edit User Credit Account Config

id
integer<int64>
required

id of credit account

payoutEnable
integer<*int>

credit account can used or payout|apply in purchase or not, 0-no, 1-yes

rechargeEnable
integer<*int>

credit account can be recharged|increment or not, 0-no, 1-yes

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>